1. offers
Paralleg
  • API
    • v1
      • attributes
        • car
          • Get Brands
          • Get Models
          • Get Types
      • categories
        • Get Categories
        • Get Category
        • Get Category Parameters
      • parameters
        • Get Parameter
        • Get Parameter Values
      • listing
        • Listing Lookup
      • offers
        • Offer Lookup
          POST
        • Get Offer
          GET
        • Get Offer By External ID
          GET
        • Get Offer Text
          GET
        • Get Offer Images
          GET
        • Get Offer Related
          GET
      • images
        • Image
        • Image redirect
        • Proxy image content in original size
        • Proxy image content resized
    • Get request info
      GET
    • Schemas
      • v1
        • Offers
          • Offer
          • OfferCategory
          • ListingOffer
          • OfferParameter
          • OfferText
          • OfferParameterValue
          • OfferProduct
          • OfferSeller
          • ReplacementOffer
        • CarAttributes
          • CarBrand
          • CarModel
          • CarType
          • CarModelGroup
        • Parameters
          • Restrictions
            • ParameterIntegerRestrictions
            • ParameterFloatRestrictions
            • ParameterStringRestrictions
            • ParameterDisctionaryRestrictions
          • Parameter
          • ParameterValue
        • Images
          • Image
          • ImageVariant
        • Lang
        • Category
        • Pagination
        • Currency
  • Browser API
    • v1
  1. offers

Get Offer By External ID

GET
/v1/offers/external/{id}
Last modified:2026-04-20 13:35:27

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "meta": {
        "lang": "pl"
    },
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "external_id": 0,
        "external_url": "http://example.com",
        "text_request_required": true,
        "text_request_endpoint": "http://example.com",
        "synced_at": "2019-08-24T14:15:22.123Z",
        "ended_at": "2019-08-24T14:15:22.123Z",
        "name": "string",
        "price": "string",
        "currency": "PLN",
        "category": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": "string",
            "name": "string"
        },
        "product": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": "string"
        },
        "seller": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": "string"
        },
        "images": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "variants": {
                    "s256": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "s512": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "s1024": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    },
                    "source": {
                        "url": "http://example.com",
                        "external_url": "http://example.com"
                    }
                }
            }
        ],
        "parameters": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "unit": "string",
                "values": [
                    {
                        "id": 0,
                        "value_id": "f0364b24-eaa7-4868-8878-708511209642",
                        "value_hash": "string",
                        "is_translatable": true,
                        "value": "string"
                    }
                ]
            }
        ],
        "text": [
            {
                "items": [
                    {
                        "type": "TEXT",
                        "content": "string"
                    }
                ]
            }
        ],
        "replacement_offer": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external_id": 0,
            "external_url": "http://example.com"
        }
    }
}
🟠404Not Found
Modified at 2026-04-20 13:35:27
Previous
Get Offer
Next
Get Offer Text
Built with